Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLPointLight Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLPointLight.h>`

Inheritance diagram for SoVRMLPointLight:

List of all members.

## Detailed Description

The SoVRMLPointLight class is used to represent a point light.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      PointLight {
        exposedField SFFloat ambientIntensity  0       # [0,1]
        exposedField SFVec3f attenuation       1 0 0   # [0, inf)
        exposedField SFColor color             1 1 1   # [0,1]
        exposedField SFFloat intensity         1       # [0,1]
        exposedField SFVec3f location          0 0 0   # (-inf, inf)
        exposedField SFBool  on                TRUE
        exposedField SFFloat radius            100     # [0, inf)
      }

The PointLight node specifies a point light source at a 3D location in the local coordinate system. A point light source emits light equally in all directions; that is, it is omnidirectional. PointLight nodes are specified in the local coordinate system and are affected by ancestor transformations. Subclause 4.6.6, Light sources (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.6>), contains a detailed description of the ambientIntensity, color, and intensity fields.

A PointLight node illuminates geometry within radius metres of its location. Both radius and location are affected by ancestors' transformations (scales affect radius and transformations affect location).

The radius field shall be greater than or equal to zero. PointLight node's illumination falls off with distance as specified by three attenuation coefficients. The attenuation factor is 1/ max(attenuation[0] + attenuation[1]Śr + attenuation[2]Śr2, 1), where r is the distance from the light to the surface being illuminated. The default is no attenuation. An attenuation value of (0, 0, 0) is identical to (1, 0, 0). Attenuation values shall be greater than or equal to zero. A detailed description of VRML's lighting equations is contained in 4.14, Lighting model (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.14>).

## Public Member Functions
| SoVRMLPointLight (void)
virtual void | GLRender (SoGLRenderAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec3f | location
SoSFFloat | radius
SoSFVec3f | attenuation
## Protected Member Functions
virtual | ~SoVRMLPointLight ()

## Constructor & Destructor Documentation

SoVRMLPointLight::SoVRMLPointLight | ( | void |  | ) |

| Constructor.

SoVRMLPointLight::~SoVRMLPointLight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLPointLight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLLight.

void SoVRMLPointLight::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoVRMLLight.

## Member Data Documentation

SoSFVec3f SoVRMLPointLight::location

| Point light position.

SoSFFloat SoVRMLPointLight::radius

| Radius of point light.

SoSFVec3f SoVRMLPointLight::attenuation

| The point light attenuation.

The documentation for this class was generated from the following files:

- SoVRMLPointLight.h
- PointLight.cpp